# Generated by Django 4.1.2 on 2022-10-30 10:09

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("character", "0011_alter_racialcapability_name_and_more"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="capability",
            options={"verbose_name": "Capacité", "verbose_name_plural": "Capacités"},
        ),
        migrations.AlterModelOptions(
            name="character",
            options={
                "verbose_name": "Personnage",
                "verbose_name_plural": "Personnages",
            },
        ),
        migrations.AlterModelOptions(
            name="path",
            options={"verbose_name": "Voie", "verbose_name_plural": "Voies"},
        ),
        migrations.AlterModelOptions(
            name="profile",
            options={"verbose_name": "Profil", "verbose_name_plural": "Profils"},
        ),
        migrations.AlterModelOptions(
            name="race",
            options={"verbose_name": "Race", "verbose_name_plural": "Races"},
        ),
        migrations.AlterModelOptions(
            name="racialcapability",
            options={
                "verbose_name": "Capacité raciale",
                "verbose_name_plural": "Capacités raciales",
            },
        ),
        migrations.AlterModelOptions(
            name="weapon",
            options={"verbose_name": "Arme", "verbose_name_plural": "Armes"},
        ),
        migrations.AlterField(
            model_name="capability",
            name="description",
            field=models.TextField(verbose_name="description"),
        ),
        migrations.AlterField(
            model_name="capability",
            name="limited",
            field=models.BooleanField(
                blank=True, default=False, verbose_name="limitée"
            ),
        ),
        migrations.AlterField(
            model_name="capability",
            name="name",
            field=models.CharField(max_length=100, unique=True, verbose_name="nom"),
        ),
        migrations.AlterField(
            model_name="capability",
            name="path",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="character.path",
                verbose_name="voie",
            ),
        ),
        migrations.AlterField(
            model_name="capability",
            name="rank",
            field=models.PositiveSmallIntegerField(
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(5),
                ],
                verbose_name="rang",
            ),
        ),
        migrations.AlterField(
            model_name="capability",
            name="spell",
            field=models.BooleanField(blank=True, default=False, verbose_name="sort"),
        ),
        migrations.AlterField(
            model_name="capability",
            name="url",
            field=models.URLField(blank=True, verbose_name="url"),
        ),
        migrations.AlterField(
            model_name="character",
            name="age",
            field=models.PositiveSmallIntegerField(verbose_name="âge"),
        ),
        migrations.AlterField(
            model_name="character",
            name="armor",
            field=models.PositiveSmallIntegerField(verbose_name="armure"),
        ),
        migrations.AlterField(
            model_name="character",
            name="capabilities",
            field=models.ManyToManyField(
                blank=True, to="character.capability", verbose_name="capacités"
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="defense_misc",
            field=models.SmallIntegerField(verbose_name="divers défense"),
        ),
        migrations.AlterField(
            model_name="character",
            name="equipment",
            field=models.TextField(blank=True, verbose_name="équipement"),
        ),
        migrations.AlterField(
            model_name="character",
            name="gender",
            field=models.CharField(
                choices=[("M", "Mâle"), ("F", "Femelle"), ("O", "Autre")],
                default="O",
                max_length=1,
                verbose_name="genre",
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="health_max",
            field=models.PositiveSmallIntegerField(verbose_name="points de vie max"),
        ),
        migrations.AlterField(
            model_name="character",
            name="health_remaining",
            field=models.PositiveSmallIntegerField(
                verbose_name="points de vie restants"
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="height",
            field=models.PositiveSmallIntegerField(verbose_name="taille"),
        ),
        migrations.AlterField(
            model_name="character",
            name="level",
            field=models.PositiveSmallIntegerField(verbose_name="niveau"),
        ),
        migrations.AlterField(
            model_name="character",
            name="luck_points_max",
            field=models.PositiveSmallIntegerField(verbose_name="points de chance max"),
        ),
        migrations.AlterField(
            model_name="character",
            name="luck_points_remaining",
            field=models.PositiveSmallIntegerField(
                verbose_name="points de chance restants"
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="mana_consumed",
            field=models.PositiveSmallIntegerField(
                default=0, verbose_name="mana utilisé"
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="name",
            field=models.CharField(max_length=100, verbose_name="nom"),
        ),
        migrations.AlterField(
            model_name="character",
            name="notes",
            field=models.TextField(blank=True, verbose_name="notes"),
        ),
        migrations.AlterField(
            model_name="character",
            name="player",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="characters",
                to=settings.AUTH_USER_MODEL,
                verbose_name="joueur",
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="profile",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="characters",
                to="character.profile",
                verbose_name="profil",
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="race",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="characters",
                to="character.race",
                verbose_name="race",
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="racial_capability",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="characters",
                to="character.racialcapability",
                verbose_name="capacité raciale",
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="shield",
            field=models.PositiveSmallIntegerField(verbose_name="bouclier"),
        ),
        migrations.AlterField(
            model_name="character",
            name="value_charisma",
            field=models.PositiveSmallIntegerField(verbose_name="valeur charisme"),
        ),
        migrations.AlterField(
            model_name="character",
            name="value_constitution",
            field=models.PositiveSmallIntegerField(verbose_name="valeur constitution"),
        ),
        migrations.AlterField(
            model_name="character",
            name="value_dexterity",
            field=models.PositiveSmallIntegerField(verbose_name="valeur dextérité"),
        ),
        migrations.AlterField(
            model_name="character",
            name="value_intelligence",
            field=models.PositiveSmallIntegerField(verbose_name="valeur intelligence"),
        ),
        migrations.AlterField(
            model_name="character",
            name="value_strength",
            field=models.PositiveSmallIntegerField(verbose_name="valeur force"),
        ),
        migrations.AlterField(
            model_name="character",
            name="value_wisdom",
            field=models.PositiveSmallIntegerField(verbose_name="valeur sagesse"),
        ),
        migrations.AlterField(
            model_name="character",
            name="weapons",
            field=models.ManyToManyField(
                blank=True, to="character.weapon", verbose_name="armes"
            ),
        ),
        migrations.AlterField(
            model_name="character",
            name="weight",
            field=models.PositiveSmallIntegerField(verbose_name="poids"),
        ),
        migrations.AlterField(
            model_name="path",
            name="category",
            field=models.CharField(
                choices=[
                    ("profile", "Profil"),
                    ("race", "Race"),
                    ("prestige", "Prestige"),
                    ("creature", "Créature"),
                ],
                max_length=20,
                verbose_name="catégorie",
            ),
        ),
        migrations.AlterField(
            model_name="path",
            name="name",
            field=models.CharField(max_length=100, unique=True, verbose_name="nom"),
        ),
        migrations.AlterField(
            model_name="path",
            name="notes",
            field=models.TextField(blank=True, verbose_name="notes"),
        ),
        migrations.AlterField(
            model_name="path",
            name="profile",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="paths",
                to="character.profile",
                verbose_name="profil",
            ),
        ),
        migrations.AlterField(
            model_name="path",
            name="race",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="paths",
                to="character.race",
                verbose_name="race",
            ),
        ),
        migrations.AlterField(
            model_name="path",
            name="url",
            field=models.URLField(blank=True, verbose_name="url"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="life_dice",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (4, "D4"),
                    (6, "D6"),
                    (8, "D8"),
                    (10, "D10"),
                    (12, "D12"),
                    (20, "D20"),
                ],
                verbose_name="dé de vie",
            ),
        ),
        migrations.AlterField(
            model_name="profile",
            name="magical_strength",
            field=models.CharField(
                choices=[
                    ("NON", "Aucun"),
                    ("INT", "Intelligence"),
                    ("SAG", "Sagesse"),
                    ("CHA", "Charisme"),
                ],
                default="NON",
                max_length=3,
                verbose_name="force magique",
            ),
        ),
        migrations.AlterField(
            model_name="profile",
            name="name",
            field=models.CharField(max_length=100, unique=True, verbose_name="nom"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="notes",
            field=models.TextField(blank=True, verbose_name="notes"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="url",
            field=models.URLField(blank=True, verbose_name="url"),
        ),
        migrations.AlterField(
            model_name="race",
            name="name",
            field=models.CharField(max_length=100, unique=True, verbose_name="nom"),
        ),
        migrations.AlterField(
            model_name="race",
            name="url",
            field=models.URLField(blank=True, verbose_name="url"),
        ),
        migrations.AlterField(
            model_name="racialcapability",
            name="description",
            field=models.TextField(verbose_name="description"),
        ),
        migrations.AlterField(
            model_name="racialcapability",
            name="name",
            field=models.CharField(max_length=100, verbose_name="nom"),
        ),
        migrations.AlterField(
            model_name="racialcapability",
            name="race",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="character.race",
                verbose_name="race",
            ),
        ),
        migrations.AlterField(
            model_name="racialcapability",
            name="url",
            field=models.URLField(blank=True, verbose_name="url"),
        ),
        migrations.AlterField(
            model_name="weapon",
            name="damage",
            field=models.CharField(blank=True, max_length=50, verbose_name="dégâts"),
        ),
        migrations.AlterField(
            model_name="weapon",
            name="name",
            field=models.CharField(max_length=100, unique=True, verbose_name="nom"),
        ),
        migrations.AlterField(
            model_name="weapon",
            name="special",
            field=models.TextField(blank=True, verbose_name="spécial"),
        ),
    ]
